app_deps = [thread_dep, m_dep, windowing_dep]
app_lib = library('rtapp',
  # Project Sources
  'app.h',
  'main_loop.h',
  
  'app.c',
  'main_loop.c',

  '../renderer/common/load_stub.c',
  dependencies : app_deps,
  include_directories : engine_incdir,
  link_with : [runtime_lib],
  c_pch : 'pch/app_pch.h',
  install : true)

engine_libs += app_lib
engine_lib_paths += app_lib.full_path()
